Subject: Re: bug#29440: Tramp put drive_c in the backup file name when backuping in local PC/windows

From: Michael Albinus <[email-masked]>
Date: Thu, 30 Nov 2017 20:23:34 +0100

Michael Albinus <[email-masked]> writes:

Hi Eli,

>> With your example, this produces
>>
>>   "c:/Users/lb01177/AppData/Roaming/.emacs.d/backup/[email-masked]!!!home!albinus!tmp!123"
>>
>> Or maybe prepend a slashe before calling subst-char-in-string?  That
>> would produce
>>
>>   "c:/Users/lb01177/AppData/Roaming/.emacs.d/backup/[email-masked]!!!home!albinus!tmp!123"
>>
>> WDYT?
>
> I'd prefer the second variant. It makes it more obvious where the file
> name is transformed from, keeping the leading slash.

I'm a little bit undecided. Do you want, that *I* apply the patch?

Best regards, Michael.